.TH JK 1 "2011 Jan 07" "GNU"
.SH NAME
jk \- Japanese Keyword in context display
.SH SYNOPSIS
.B   jk pattern [-dfhsV] [-Wnum] [-Lnum] [file ...]
.\" .I files...
.SH DESCRIPTION
.PP
.B Jk
searches the named input
.I files
(or standard input if no files are named, or
the file name
.B \-
is given)
for lines containing a match to the given
.IR pattern .
By default,
.B jk
prints the context of the matching lines.
.PP
There are three major variants of
.BR jk ,
controlled by the following options.
.\".PD 0
.TP
.B \-d 
Show keyword between two delimiters..
.TP
.B \-f 
Print file names and line numbers.
.TP
.B \-h
Print help messages.
.TP
.B \-s
Enable to process shift jis code.
.TP
.B \-V
Print the version number of
.B jk
to standard error.  This version number should
be included in all bug reports (see below).
.TP
.B \-Lnum
Set 
.I num
characters of line width.
.TP
.B \-Wnum
Set 
.I num
characters of left wing width.
.SH DIAGNOSTICS
.PP
Normally, exit status is 0 if matches were found,
and 1 if no matches were found.
.SH BUGS
.PP
Email bug reports to
.BR yamagen@ucsd.edu .
Be sure to include the word ``jk'' somewhere in the ``Subject:'' field.
.PP





